Subject: bug#6143: ispell killing still not fixed

From: Agustin Martin <[email-masked]>
Date: Thu, 24 Jun 2010 18:16:24 +0200

On Thu, Jun 24, 2010 at 05:51:20PM +0200, Agustin Martin wrote:
> On Thu, Jun 24, 2010 at 05:23:45PM +0200, Agustin Martin wrote:
> > I am testing attached patch that should make the expanded version to be
> > used everywhere. I am testing it along with a dirty hack in .emacs
> > 
> > (setq ispell-local-dictionary "american")
> > (load "ispell")
> > (setq ispell-program-name "aspell")
> > (ispell-set-spellchecker-params)
> > (ispell-start-process)
> > 
> > that should start an ispell process. With the attached changes at least
> > extra restart seems to be fixed.
> 
> But a further ispell process (triggered from e.g. flyspell) seems to not 
> use process created by above code but spawn a new one. So, please discard
> code above, it does not properly register ispell process. 

Seems I used the wrong function, something like

(setq ispell-local-dictionary "american")
(setq ispell-program-name "aspell")
(load "ispell")
(ispell-set-spellchecker-params)
(ispell-init-process)

in ~/.emacs seems to work better (together with my patch). A bit ugly, but
that may give you the behavior you want.

-- 
Agustin